""" Prime numbers examples """
def isprime(n):
    """ test whether a number is a prime number """
    return False if n < 2 or any(n % i == 0 for i in range(2, n)) else True

if __name__ == "__main__":
    range_of_interest = range(5, 1000)

    # print the primes using a list comprehension
    primes = [n for n in range_of_interest if isprime(n)]
    print('from a list comprehension', primes)

    # the same with a generator expression
    primes = (n for n in range_of_interest if isprime(n))
    print('from a generator expression', list(primes))
